#ifndef _XHANABI_TamaP_h_INCLUDED_
#define _XHANABI_TamaP_h_INCLUDED_

#include "Tama.h"
#include "etc.h"

#define GRAVITY 0.3

typedef struct _TamaClass {
  char * name;
  int size;    /* ̤礭(Ⱦ) */
  double probability; /* иΨ */
  double air;  /*  */
  int after_image_length; /* Ĺ */

  ObjList gc_list_list; /* AfterImages οѲѤGCΥꥹȤΥꥹ */
  ObjList next_list;
} _TamaClass;

typedef struct _TamaNext {
  struct _TamaClass * tama_class;
  double power; /* ȯζ */
  int number;   /* ȯΤȤ˽Ф̤ο */
} _TamaNext;

typedef struct _Tamas {
  struct _TamaClass * tama_class;
  int number;
  double * x; /*  */
  double * y; /*  */
  double * vx; /* ® */
  double * vy; /* ® */
  ObjListData gc_list; /* GCꥹȤѲ */
} _Tamas;

#endif /* _XHANABI_TamaP_h_INCLUDED_ */

