#include "XHanabi.h"
#include "arguments.h"

static char * display_name = ":0.0";
static char * background_color = "black";

void help()
{
  printf("XHanabi\n");
  exit (0);
}

Argument arguments[] = {
  {"-h", ARGUMENTS_FUNCTION, &help},
  {"-help", ARGUMENTS_FUNCTION, &help},
  {"-display", ARGUMENTS_STRING, &display_name},
  {"-bg", ARGUMENTS_STRING, &background_color},
  {"-background-color", ARGUMENTS_STRING, &background_color},
  {NULL, ARGUMENTS_NONE, NULL}
};

int main(int argc, char * argv[])
{
  XHanabi xhanabi;

  Arguments_Read(&argc, argv, arguments);

  xhanabi = XHanabi_Create(display_name, background_color);
  XHanabi_Start(xhanabi);
  XHanabi_Destroy(xhanabi);

  return (0);
}
