#include "etc.h"

int Error(char * funcname, char * message)
{
  fprintf(stderr, "Error in %s:%s", funcname, message);
  exit (1);
}

void InitializeRand()
{
  srand((unsigned)time(NULL));
}

int Rand(int n)
{
#if 1
  return (rand() % n);
#else
  return (rand() / (RAND_MAX / n + 1));
#endif
}

double DoubleRand(double d)
{
  return ((double)Rand(10001) / 10000.0 * d);
}
